.TH wxUpdateUIEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxUpdateUIEvent \- See external documentation: wxUpdateUIEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxUpdateUIEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIupdate_ui\fR
.RE
.LP
See also the message variant #wxUpdateUI{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxCommandEvent 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxUpdateUIEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
canUpdate(Win::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventcanupdate>\&.
.RE
.LP
.B
check(This::wxUpdateUIEvent(), Check::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventcheck>\&.
.RE
.LP
.B
enable(This::wxUpdateUIEvent(), Enable::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventenable>\&.
.RE
.LP
.B
show(This::wxUpdateUIEvent(), Show::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventshow>\&.
.RE
.LP
.B
getChecked(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetchecked>\&.
.RE
.LP
.B
getEnabled(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetenabled>\&.
.RE
.LP
.B
getShown(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetshown>\&.
.RE
.LP
.B
getSetChecked(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetsetchecked>\&.
.RE
.LP
.B
getSetEnabled(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetsetenabled>\&.
.RE
.LP
.B
getSetShown(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetsetshown>\&.
.RE
.LP
.B
getSetText(This::wxUpdateUIEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetsettext>\&.
.RE
.LP
.B
getText(This::wxUpdateUIEvent()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgettext>\&.
.RE
.LP
.B
getMode() -> WxUpdateUIMode
.br
.RS
.TP
Types
WxUpdateUIMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetmode>\&. 
.br
 WxUpdateUIMode is one of ?wxUPDATE_UI_PROCESS_ALL | ?wxUPDATE_UI_PROCESS_SPECIFIED
.RE
.LP
.B
getUpdateInterval() -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventgetupdateinterval>\&.
.RE
.LP
.B
resetUpdateTime() -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventresetupdatetime>\&.
.RE
.LP
.B
setMode(Mode::WxUpdateUIMode) -> ok
.br
.RS
.TP
Types
WxUpdateUIMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventsetmode>\&. 
.br
 WxUpdateUIMode is one of ?wxUPDATE_UI_PROCESS_ALL | ?wxUPDATE_UI_PROCESS_SPECIFIED
.RE
.LP
.B
setText(This::wxUpdateUIEvent(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventsettext>\&.
.RE
.LP
.B
setUpdateInterval(UpdateInterval::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxupdateuievent\&.html#wxupdateuieventsetupdateinterval>\&.
.RE
